CADxp: Ajuster lignes croisées - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Ajuster lignes croisées

#1 L'utilisateur est hors-ligne   Fruity 

  • ceinture noire
  • Groupe : Membres
  • Messages : 432
  • Inscrit(e) : 02-mai 06

Posté 12 septembre 2019 - 09:53

Bonjour
Depuis la mise à jour Autocad 2019, j'ai pas mal de lisp qui ne fonctionnent plus.
Quelques variables ou raccourcis qui ont changé, j'arrive généralement a remettre en ordre, mais là je bloque.
Quelqu'un pourrait-il m'aider sur celui-ci, qui consiste a couper 2 lignes qui se croisent (utile pour les schémas).
Merci.

;cliquer a l'interesection, ca crée un cercle, ajuste ce qui passe dedans et supprime le cercle
(defun c:cut ( / p cir)
  (command "_circle" (setq p (getpoint)) pause)
  (setq cir (entlast))
  (command "_trim" cir "" p "")
  (entdel cir)
)

0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)